Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.pipe.joiner
Class JoinerClosure

    java.lang.Object
      cascading.pipe.joiner.JoinerClosure

Direct Known Subclasses:
  HadoopGroupByClosure, MemoryCoGroupClosure

    public abstract class JoinerClosure

extends Object

Field Summary
`protected FlowProcess` | `flowProcess`
`protected Fields[]` | `joinFields`
`protected Fields[]` | `valueFields`

Constructor Summary
`JoinerClosure(FlowProcess flowProcess, Fields[] joinFields, Fields[] valueFields)`

Method Summary
`FlowProcess` | `getFlowProcess()`
`abstract Tuple` | `getGroupTuple(Tuple keysTuple)`
`abstract Iterator<Tuple>` | `getIterator(int pos)`
`Fields[]` | `getJoinFields()`
`Fields[]` | `getValueFields()`
`abstract boolean` | `isEmpty(int pos)`
`boolean` | `isSelfJoin()`
`abstract int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### flowProcess

    protected final FlowProcess flowProcess

### joinFields

    protected final Fields[] joinFields

### valueFields

    protected final Fields[] valueFields

Constructor Detail

### JoinerClosure

    public JoinerClosure(FlowProcess flowProcess,
                         Fields[] joinFields,
                         Fields[] valueFields)

Method Detail

### getFlowProcess

    public FlowProcess getFlowProcess()

### getJoinFields

    public Fields[] getJoinFields()

### getValueFields

    public Fields[] getValueFields()

### isSelfJoin

    public boolean isSelfJoin()

### size

    public abstract int size()

### getIterator

    public abstract Iterator<Tuple> getIterator(int pos)

### isEmpty

    public abstract boolean isEmpty(int pos)

### getGroupTuple

    public abstract Tuple getGroupTuple(Tuple keysTuple)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.